# class Tree

### Attributes

path[RW]
project[RW]
ref[RW]
tree[RW]

### Public Class Methods

new(raw_tree, project, ref = nil, path = nil) click to toggle source

    # File app/models/tree.rb, line 8
    def initialize(raw_tree, project, ref = nil, path = nil)
      @project, @ref, @path = project, ref, path
      @tree = if path.present?
                raw_tree / path.dup.force_encoding('ascii-8bit')
              else
                raw_tree
              end
    end

### Public Instance Methods

empty?() click to toggle source

    # File app/models/tree.rb, line 25
    def empty?
      data.blank?
    end

invalid?() click to toggle source

    # File app/models/tree.rb, line 21
    def invalid?
      tree.nil?
    end

is_blob?() click to toggle source

    # File app/models/tree.rb, line 17
    def is_blob?
      tree.is_a?(Grit::Blob)
    end